declare class Docker {
    checkEnv(timesaving?: boolean): Promise<void>;
    pull(image: string): Promise<void>;
    copy(image: string, mappings: any[]): Promise<void>;
    imageExist(name: any): Promise<boolean>;
    containerExist(name: any): Promise<boolean>;
    build(tag: any, cwd: any, noCache?: boolean, context?: string): Promise<void>;
    tag(oldtag: any, newtag: any): Promise<void>;
    push(name: any): Promise<void>;
    genDockerFile(workDir: any, from: any, dir: any, isApp: any): Promise<void>;
    genDockerFile4Publish(workDir: any, from: any, dir: any): Promise<void>;
    genDockerCompose(workDir: any, cmd: any, ports: any, watch: any, tag: any, dir: any, isApp?: boolean): Promise<void>;
    /**
     * rde will regenerate package.json under such condition:
     * 1. no cache info found
     * 2. rdc version changed if rdType is application
     * 3. any package.json under template dir has changed if rdType is container
     * 4. extends attr in rdc.config.js has changed if rdType is container
     */
    genPkgJson(): Promise<void>;
    getPkgJson(image: any, result?: {}): Promise<{}>;
}
declare const _default: Docker;
export default _default;
